2022-07-03 10:15 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005601Indianapolis500[WHDLoad Installs Games] OCSpublic2022-04-30 15:28
ReporterPaul Head 
Assigned ToStingRayProject InfoIndianapolis 500 (Papyrus Design Group)
http://www.whdload.de/games/Indianapolis500.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005601: When NoWriteCache used "Function 'resload_Diskload' called with unacceptable arguments"
DescriptionWhen the NoWriteCache option is used in the WHDLoad.prefs file it can save for example, the graphics settings detail (Low, Medium or High) instantly exactly like the real game does from floppy. The problem arises if you quit the game and then load it up again...it will not start, and here's the error:

"Function 'resload_Diskload' called with unacceptable arguments"
with "Quit Restart or Make CoreDump" buttons in the requester.

To get the game to work again I have to delete the save file that it created in my saves directory.
Steps To ReproduceSet NoWriteCache in WHDLoad.prefs

Run game, press Esc to change graphic detail. After some disk activity you can return to the game.

Exit the game with your chosen quit key

(Try) and load the game again!

Delete the saved game to make the game work again.
Additional InformationTested on A1200 and WinUAE with same errors.
I should have reported this 10 years ago.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.0
KickROM39 - Kick 3.0
KickSoftNone
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0011185

StingRay (developer)

I can't reproduce this but the saves should not be done to the disk image anyway and the patch has other problems as well (disk accesses for example) so I will update it.

note ~0011190

Paul Head (reporter)

Excellent! Many thanks matey. Odd how you couldn't replicate it. I remember having the same problem 10 years ago on an A600 too.
It's the car settings, detail settings and instant replay that get saved, and yes I noticed it makes itself a floppy image in my saves drawer. :D There's quite a number of games that do this also.

note ~0011191

Paul Head (reporter)

Hmmm... just a thought, but I always set WHDLoad up with a separate 'Saves' drawer. Perhaps it's that that it doesn't like when coupled with the NoWriteCache option. I'm not going to test it but it might be true! I'll test it if you like when you have the new one ready.

note ~0011192

StingRay (developer)

I have tried with separate save path already (as I noticed the "I have to delete the save file that it created in my saves directory" part in your report), this doesn't trigger the problem either on my machine.
However, that's not too important as the saves will be done to a separate file in the updated patch.

note ~0011230

Paul Head (reporter)

Mouse settings get saved too. I shall look forward to the new patch and and extra HDD space I'll get! Thanks.

note ~0011236

StingRay (developer)

I have redone the patch, please try attached slave. Does load/save work on your machine now?

note ~0011256

Paul Head (reporter)

Yes it works but with one strange issue. When you load the game and the music plays you are supposed to press fire which should then take you to the main menu. This new slave doesn't do that - instead of going to the menu it plays the demo replay which should only play after about a minute (of not pressing fire) when the music is playing. You then finally get to the menu by pressing escape (which is what you have to do anyway if you let it go to the demo replay).

Note: If I leave the old save file (from the old slave) in my saves drawer then I get the following WHDLoad error message when loading the game:

"The data/disk-files are damaged or it is an unsupported version"
"Quit" or "Make CoreDump"

So users need to be informed to delete their old save if they see this message.

note ~0011257

Paul Head (reporter)

Just a bit of further testing on the new slave...

I didn't press fire and waited for the demo replay to appear but it didn't, it went straight to the menu instead.

note ~0011262

StingRay (developer)

Thanks for testing, the replay problem was caused by a minor bug in the patch code that is called when starting the game (instead of using a byte flag, a word was used which) and has been fixed.
+Notes

-Issue History
Date Modified Username Field Change
2022-04-22 13:17 Paul Head New Issue
2022-04-23 14:29 StingRay Assigned To => StingRay
2022-04-23 14:29 StingRay Status new => assigned
2022-04-23 14:38 StingRay Note Added: 0011185
2022-04-23 16:33 Paul Head Note Added: 0011190
2022-04-23 16:37 Paul Head Note Added: 0011191
2022-04-23 17:50 StingRay Note Added: 0011192
2022-04-27 11:12 Paul Head Note Added: 0011230
2022-04-27 21:51 StingRay File Added: Indianapolis500.slave
2022-04-27 21:51 StingRay Note Added: 0011236
2022-04-29 14:19 Paul Head Note Added: 0011256
2022-04-29 15:27 Paul Head Note Added: 0011257
2022-04-30 14:13 StingRay Note Added: 0011262
2022-04-30 15:28 StingRay Status assigned => resolved
2022-04-30 15:28 StingRay Resolution open => fixed
+Issue History